package gmt.io.server.event;


public interface IGmtServerEventListener {
	public void connected(int serverPort, String remoteHost, int remotePort);
	public void dataIn(int serverPort, String remoteHost, int remotePort, String msg);
	public void disconnected(int serverPort, String remoteHost, int remotePort);
	public void SSLClientAuthentication(int serverPort);
	public void error(int serverPort, String remoteHost, int remotePort, int errorCode, String description);
	public void readyToSend(int port);	
}
